smartsens 2.0.0.0

Data Fields
smartsens_fifo_parse_data_info Struct Reference

Parsing data info. More...

`#include <smartsens.h>`

## Data Fields
uint8_t | sensor_id
enum smartsens_fifo_type | fifo_type
uint8_t | data_size
uint8_t * | data_ptr
uint32_t * | time_stamp

## Detailed Description

Parsing data info.

Struct for parsing fifo data of the Smart Sens Click driver.

## Field Documentation

## ◆ data_ptr

uint8_t* data_ptr

## ◆ data_size

uint8_t data_size

## ◆ fifo_type

enum smartsens_fifo_type fifo_type

## ◆ sensor_id

uint8_t sensor_id

## ◆ time_stamp

uint32_t* time_stamp

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/smartsens/lib_smartsens/include/smartsens.h